org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface SourceWrapSupport.Wrapper.Match

Enclosing interface:
  SourceWrapSupport.Wrapper

    public static interface SourceWrapSupport.Wrapper.Match

Defines a particular wrapper match. It can be used to construct identical wrapping for user-edited script source. The separate interface is needed because its instance can hold parameters of this particular prefix/suffix, if they can match multiple strings (for example RegExp-based).

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getPrefixLength()`
`int` `getSuffixLength()`
`SourceWrapSupport.Wrapper` `getWrapper()`
`java.lang.String` `wrap(java.lang.String localContent)` Wraps a user source identically to how the original script was wrapped.

### Method Detail

#### getWrapper

    SourceWrapSupport.Wrapper getWrapper()

#### wrap

    java.lang.String wrap(java.lang.String localContent)

Wraps a user source identically to how the original script was wrapped.

#### getPrefixLength

    int getPrefixLength()

Returns:
  the prefix length (used for position recalculation in diff)

#### getSuffixLength

    int getSuffixLength()

Returns:
  the suffix length (used for position recalculation in diff)